# -*- coding: utf-8 -*-

import dataiku
from dataiku import pandasutils as pdu
import pandas as pd
import numpy as np
from sklearn.base import BaseEstimator
import logging

logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.INFO,
                    format='RuleGeneration plugin %(levelname)s - %(message)s')


class RuleGeneratorRegularizerParams(BaseEstimator):

    def __init__(self, ml_type='clf', alpha=0.1):

        self.ml_type = ml_type
        self.alpha = alpha

    @property
    def ml_type(self):
        return self._ml_type

    @ml_type.setter
    def ml_type(self, value):
        if value not in ['clf', 'reg']:
            raise ValueError('ML type must be "clf" or "reg".')
        self._ml_type = value

    @property
    def alpha(self):
        return self._alpha

    @alpha.setter
    def alpha(self, value):
        if value <= 0:
            raise ValueError('alpha needs to be positive.')
        self._alpha = value

    def check(self):
        return
